Wire transfer
Relevant webhooks
For this endpoint be sure you have registered for these webhooks:
API reference
Sends a single wire transfer payment.
In November 2027, the Fedwire Funds Service will remove the fully unstructured postal address option in favor of a single hybrid postal address format. All parties (intermediaryFi, beneficiaryFi, beneficiary, originator) across all message types must transition from free-text address lines (address1, address2, address3) to a new postalAddress object with mandatory adrLine1, country and city fields.
In advance of the Fedwire enforcement date, all partners must use the new postalAddress structure in production no later than October 2027. Messages sent in the old format after this date will be rejected.
Endpoint: /wires/v1/payments
POST
https://sandbox.crbcos.com/wires/v1/payments
curl -L 'https://sandbox.crbcos.com/wires/v1/payments' ^
-d '{
"accountNumber": "2955057589",
"businessFunctionCode": "CTR",
"receiverRoutingNumber": "026009593",
"beneficiary": {
"idCode": "D",
"identifier": "316840684",
"name": "Stewie Griffin",
"postalAddress": {
"adrLine1": "31 Spooner St",
"city": "Quahog",
"state": "RI",
"postalCode": "33030",
"country": "US"
}
},
"beneficiaryReference": "Gift",
"originatorToBeneficiary1": "Happy Birthday",
"amount": 15000,
"purpose": "Testing",
"clientIdentifier": "05d73490-65ac-4725-98b6-cbf8252e52fe"
}
'Validation Rules
- Originator Requirement
- If Originator is null or empty, the system will use the configured account/product originator.
- If the configured account/product originator contains any of the following ID codes, the request will be rejected:
- "U" (CHIPS Identifier)
- "C" (CHIPS Participant)
- "F" (Fed Routing Number)
- Error Message: Account or product configuration error.
- Intermediary FI and Beneficiary FI Uniqueness
- If both are specified with the same identifier, the request will be rejected.
- Error Message: IntermediaryFi and BeneficiaryFi cannot be identical.
- Beneficiary Validation
- Must be validated as a person or organization.
- Errors follow the person/organization validation rules.
- Beneficiary FI Validation
- Must be validated as a financial institution.
- Errors follow the financial institution validation rules.
- Intermediary FI Validation
- Must be validated as a financial institution.
- Errors follow the financial institution validation rules.
Default Values
- Beneficiary FI (if not explicitly provided — no ID Code or Identifier specified)
- Derived from the Receiver Routing Number:
- ID Code: "F"
- Identifier: Routing number
- Name: Participant’s customer name
- Address1: Participant’s city and state